# Import Product Features From CSV

**URL** : `/api/v1/product-features/import_from_csv/`

**Method** : `POST`

#### Content-Type

Required `Content-Type` is `multipart/form-data` with the following single key-value pair:

* Key: `file`
* Value: `{csv file from which to import}`

#### Possible CSV Headers

* `code` - String
* `product__short_code` - String
* `feature_type` - String
  * Choices: activation, consumption
* `max_consumption` - Integer
* `allow_overages` - Boolean
* `max_overages` - Integer
* `reset_consumption` - Boolean
* `consumption_period` - String
  * Choices: daily, weekly, monthly, annually
* `is_floating` - Boolean
* `is_floating_cloud` -Boolean
* `floating_users` - Integer
* `floating_timeout` - Integer

#### Data example

```csv
product__short_code,code,name
LKP1,C123,A
LKP1,C456,B
```

#### Success Response

**Code** : `200 OK`

**Content examples** :

```json
{
    "job_id": 10
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/management-api/product/features/import-product-features-from-csv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
